Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.blueprint.reflect
Class MetadataFactory

    java.lang.Object
      org.eclipse.gemini.blueprint.blueprint.reflect.MetadataFactory

    public class MetadataFactory

extends Object

Adapter factory that translates Blueprint `ComponentMetadata` into Spring `BeanDefinition`s (and vice versa).

Author:
  Adrian Colyer, Costin Leau

Constructor Summary
`MetadataFactory()`

Method Summary
`static BeanDefinition` | `buildBeanDefinitionFor(ComponentMetadata metadata)`
`static Collection<ComponentMetadata>` | `buildComponentMetadataFor(ConfigurableListableBeanFactory factory)` Inspects the given `factory` and returns the appropriate OSGi 4.2 Blueprint `metadata`.
`static ComponentMetadata` | `buildComponentMetadataFor(String name, BeanDefinition beanDefinition)` Inspects the given `beanDefinition` and returns the appropriate `metadata` (can be one of `LocalComponentMetadata`, `ServiceExportComponentMetadata`, or `ServiceReferenceComponentMetadata`).
`static Set<String>` | `filterIds(Set<String> components)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetadataFactory

    public MetadataFactory()

Method Detail

### buildBeanDefinitionFor

    public static BeanDefinition buildBeanDefinitionFor(ComponentMetadata metadata)

### buildComponentMetadataFor

    public static ComponentMetadata buildComponentMetadataFor(String name,
                                                              BeanDefinition beanDefinition)

  Inspects the given `beanDefinition` and returns the appropriate `metadata` (can be one of `LocalComponentMetadata`, `ServiceExportComponentMetadata`, or `ServiceReferenceComponentMetadata`).

  Parameters:
    `name` - bean name
    `beanDefinition` - Spring bean definition
  Returns:
    an OSGi component metadata.

### buildComponentMetadataFor

    public static Collection<ComponentMetadata> buildComponentMetadataFor(ConfigurableListableBeanFactory factory)

  Inspects the given `factory` and returns the appropriate OSGi 4.2 Blueprint `metadata`.

  Parameters:
    `factory` - Spring bean factory
  Returns:
    collection of blueprint metadata

### filterIds

    public static Set<String> filterIds(Set<String> components)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.